.gens-banner {
    width: 180px;
    display: block;
    margin: 0 auto 10px auto;

    padding: 14px;
    border-radius: 16px;

    border: 1px solid rgba(34, 197, 94, 0.5);
}

.rank-box {
    display: flex;
    flex-direction: column;
    align-items: center; 
    justify-content: center;

    text-align: center;
    margin: 20px auto;
}

.rank-title {
    color: #c084fc;
    font-size: 20px;
    font-weight: 700;
    margin-bottom: 8px;
    text-align: center;
}

.rank-desc {
    color: #bbb;
    font-size: 14px;
    line-height: 1.5;
    margin-bottom: 15px;

    max-width: 500px;
    text-align: center;
}

.rank-divider {
    width: 60%;
    height: 1px;
    margin: 0 auto;
    background: linear-gradient(
        to right,
        transparent,
        rgba(139, 92, 246, 0.5),
        transparent
    );
}

.rank-cards {
    display: flex;
    justify-content: center;
    gap: 25px;
    margin-top: 30px; 
}

.rank-card {
    width: 160px;
    padding: 20px;
    border-radius: 16px;

    background: linear-gradient(180deg, #1a1124, #0b0715);
    border: 1px solid rgba(255,255,255,0.05);

    text-align: center;
    transform: rotate(-3deg);
    transition: all 0.3s ease;

    position: relative;
}

.rank-card:nth-child(even) {
    transform: rotate(3deg);
}

.rank-card:hover {
    transform: rotate(0deg) scale(1.05);
}

.rank-card img {
    width: 60px;
    margin-bottom: 10px;
}

.rank-card h3 {
    color: #fff;
    font-size: 16px;
    margin-bottom: 5px;
}

.rank-card .price {
    font-size: 13px;
    margin-bottom: 15px;
}

.rank-card button {
    width: 100%;
    padding: 8px;
    border-radius: 8px;
    border: none;

    background: #a855f7;
    color: white;
    font-weight: 600;

    cursor: pointer;
    transition: 0.2s;
}

.rank-card button:hover {
    opacity: 0.8;
}

.rank-card.gold:hover {
    box-shadow: 0 0 25px rgba(234, 179, 8, 0.6);
}
.rank-card.gold .price { color: #facc15; }

.rank-card.diamond:hover {
    box-shadow: 0 0 25px rgba(59, 130, 246, 0.6);
}
.rank-card.diamond .price { color: #60a5fa; }

.rank-card.emerald:hover {
    box-shadow: 0 0 25px rgba(34, 197, 94, 0.6);
}
.rank-card.emerald .price { color: #4ade80; }

.rank-card.netherite:hover {
    box-shadow: 0 0 25px rgba(107, 114, 128, 0.7);
}
.rank-card.netherite .price { color: #9ca3af; }

.rank-info {
    position: absolute;
    bottom: 10px;
    left: 10px;

    width: 22px;
    height: 22px;

    border-radius: 50%;
    background: rgba(255, 255, 255, 0.1);

    display: flex;
    align-items: center;
    justify-content: center;

    color: white;
    font-size: 12px;

    border: 1px solid rgba(255,255,255,0.3);

    cursor: pointer;
    transition: 0.2s;
}

.rank-info:hover {
    background: white;
    color: black;
    transform: scale(1.1);
}

.key-badge {
    position: absolute;
    top: 8px;
    right: 8px;
    background: #a855f7;
    color: white;
    font-size: 11px;
    padding: 4px 6px;
    border-radius: 6px;
}